Debian Bug report logs - #391466
spread: purging the package fails (deluser unavailable)

version graph

Package: spread; Maintainer for spread is Michael Mende <debian@menole.net>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Fri, 6 Oct 2006 18:03:01 UTC

Severity: serious

Tags: fixed, patch

Found in version spread/3.17.3-4

Fixed in version spread/3.17.3-5

Done: Michael Mende <debian@menole.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Mende <debian@menole.net>:
Bug#391466; Package spread. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Mende <debian@menole.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: spread: purging the package fails (deluser unavailable)
Date: Fri, 6 Oct 2006 19:29:57 +0200
Package: spread
Version: 3.17.3-4
Severity: serious

Hello Michael,

There is an error when attempting to purge spread:
   Removing spread ...
   Purging configuration files for spread ...
   /var/lib/dpkg/info/spread.postrm: line 4: deluser: command not

   dpkg: error processing spread (--purge):
    subprocess post-removal script returned error exit status 127

The postrm script cannot rely on deluser to be available when purging.

See Policy 7.2:
  Note, however, that the `postrm' cannot rely on any non-essential packages to
  be present during the `purge' phase.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Mende <debian@menole.net>:
Bug#391466; Package spread. Full text and rfc822 format available.

Acknowledgement sent to Arnaud Hocevar <arnaud@hocevar.net>:
Extra info received and forwarded to list. Copy sent to Michael Mende <debian@menole.net>. Full text and rfc822 format available.

Message #10 received at 391466@bugs.debian.org (full text, mbox):

From: Arnaud Hocevar <arnaud@hocevar.net>
To: Debian Bug Tracking System <391466@bugs.debian.org>
Subject: spread: Patch for NMU: 3.17.3-4.1
Date: Sat, 07 Oct 2006 23:39:40 +0200
[Message part 1 (text/plain, inline)]
Package: spread
Followup-For: Bug #391466


This is the patch for NMU.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (30, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.11-grsec
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
[patch-spread.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Mende <debian@menole.net>:
Bug#391466; Package spread. Full text and rfc822 format available.

Message #13 received at 391466@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 391466@bugs.debian.org
Subject: patch
Date: Sun, 8 Oct 2006 18:07:56 +0200
[Message part 1 (text/plain, inline)]
tags 391466 patch
thanks

Attached is the patch of the NMU I just prepared and uploaded.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[spread_3.17.3-4.1.nmu.diff.bz2 (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from madduck@debian.org (martin f. krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Michael Mende <debian@menole.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 391466-close@bugs.debian.org (full text, mbox):

From: Michael Mende <debian@menole.net>
To: 391466-close@bugs.debian.org
Subject: Bug#391466: fixed in spread 3.17.3-5
Date: Fri, 13 Oct 2006 08:32:14 -0700
Source: spread
Source-Version: 3.17.3-5

We believe that the bug you reported is fixed in the latest version of
spread, which is due to be installed in the Debian FTP archive:

libspread-perl_3.17.3-5_amd64.deb
  to pool/main/s/spread/libspread-perl_3.17.3-5_amd64.deb
libspread1-dev_3.17.3-5_amd64.deb
  to pool/main/s/spread/libspread1-dev_3.17.3-5_amd64.deb
libspread1_3.17.3-5_amd64.deb
  to pool/main/s/spread/libspread1_3.17.3-5_amd64.deb
spread_3.17.3-5.diff.gz
  to pool/main/s/spread/spread_3.17.3-5.diff.gz
spread_3.17.3-5.dsc
  to pool/main/s/spread/spread_3.17.3-5.dsc
spread_3.17.3-5_amd64.deb
  to pool/main/s/spread/spread_3.17.3-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 391466@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Mende <debian@menole.net> (supplier of updated spread package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  8 Oct 2006 12:03:03 +0200
Source: spread
Binary: libspread1-dev spread libspread1 libspread-perl
Architecture: source amd64
Version: 3.17.3-5
Distribution: unstable
Urgency: low
Maintainer: Michael Mende <debian@menole.net>
Changed-By: Michael Mende <debian@menole.net>
Description: 
 libspread-perl - Perl bindings for the Spread messaging service
 libspread1 - C library for the Spread messaging service
 libspread1-dev - Development files for libspread
 spread     - The Spread messaging daemon
Closes: 391466
Changes: 
 spread (3.17.3-5) unstable; urgency=low
 .
   * debian/spread.postrm: userdel if command available (Closes: #391466)
Files: 
 28ccbe29ad86ecbe29a0e454a5a20ba3 702 net optional spread_3.17.3-5.dsc
 05c2a56fd29f707e4e943eafd218435e 10248 net optional spread_3.17.3-5.diff.gz
 ca446a65a8125ad6cff9be86adeda7c5 81394 libdevel optional libspread1-dev_3.17.3-5_amd64.deb
 57e9cc3605464ef40f8ed1a92de1ec16 56060 libs optional libspread1_3.17.3-5_amd64.deb
 a50c23e9ccfcde0d01be324beae593c2 31838 perl optional libspread-perl_3.17.3-5_amd64.deb
 de6597727750c0e125a3197a02d9fd31 201966 net optional spread_3.17.3-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFL62O6n7So0GVSSARAmgCAKCOUnFed3+3MFlocI82MJioDxVDQQCgj2By
VBeoyPn9NWyuBd5S97RoZ6o=
=7Dbs
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 07:50:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:29:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.